Loading...
Searching...
No Matches
timing.cpp File Reference

Timing utilities. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

GTSAM_EXPORT boost::shared_ptr< TimingOutline > | gtsam::internal::gTimingRoot (new TimingOutline("Total", getTicTocID("Total")))
GTSAM_EXPORT boost::weak_ptr< TimingOutline > | gtsam::internal::gCurrentTimer (gTimingRoot)
size_t | gtsam::internal::getTicTocID (const char *descriptionC)
void | gtsam::internal::tic (size_t id, const char *labelC)
void | gtsam::internal::toc (size_t id, const char *label)

## Detailed Description

Timing utilities.

Author
  Richard Roberts, Michael Kaess

Date
  Oct 5, 2010